# Gimp.Vector2

    from gi.repository import Gimp

    vector2 = Gimp.Vector2()

A two dimensional vector.

## Methods

- Gimp.Vector2.add_val
- Gimp.Vector2.cross_product
- Gimp.Vector2.cross_product_val
- Gimp.Vector2.inner_product
- Gimp.Vector2.inner_product_val
- Gimp.Vector2.length
- Gimp.Vector2.length_val
- Gimp.Vector2.mul
- Gimp.Vector2.mul_val
- Gimp.Vector2.neg
- Gimp.Vector2.neg_val
- Gimp.Vector2.normal
- Gimp.Vector2.normal_val
- Gimp.Vector2.normalize
- Gimp.Vector2.normalize_val
- Gimp.Vector2.rotate
- Gimp.Vector2.rotate_val
- Gimp.Vector2.set
- Gimp.Vector2.sub_val

## Static Functions

- Gimp.Vector2.add
- Gimp.Vector2.sub

## Fields

- Gimp.Vector2->x
- Gimp.Vector2->y